<template lang="pug">
  div
    section.hero.is-light
      .hero-body
        .container
          h1.title.has-text-centered User Profile
    .container
      .tile.is-ancestor
        .tile.is-4
        .tile.is-4.tile.is-child
          .card
            .card-content
              .media
                .media-left
                  figure.image.is-48x48
                    img(:src="user.photoUrl")      
                .media-content
                  p.title.is-4 {{ user.name }}
                  p.subtitle.is-6 {{ user.email }} 
                  .field.is-grouped.is-grouped-multiline 
                    .control
                      .tags.has-addons
                        span.tag.is-dark Sign In with
                        span.tag.is-info {{ signInProvider }}
          .tile.is-4
</template>

<style scoped>
  .is-ancestor {
    margin: 50px 0;
  } 
</style>

<script>
  const providers = {
    'password': 'Tango-Maps',
    'google.com': 'Gmail',
    'facebook.com': 'Facebook',
    'twitter.com': 'Twitter'
  }

  export default {
    name: 'ContactPage',  
    computed: {
      user () {
        return this.$store.getters.user
      },
      signInProvider() {
        return providers[this.$store.getters.user.provider]
      }
    }
  }
</script>
